#!/bin/bash
Rscript --no-save $(dirname $(readlink -f $0))/RnBeadsGalaxy.R $* > /tmp/rnbeads.stdout 2>/tmp/rnbeads.stderr 
#Rscript --no-save \$R_SCRIPTS_PATH/RnBeadsGalaxy.R $*
outfile=`echo $* | cut -d\  -f2 | sed -e "s/--output-file=//g"`
echo $outfile
#outdir=`echo $* | sed -e "s/.*--report-dir=\(.*\)[[:blank:]].*/\1/g"`


if [ -s /tmp/rnbeads.stderr ]
then
	cat /tmp/rnbeads.stdout >&2
	#cat $outdir/analysis.log >&2
	cat /tmp/rnbeads.stderr >&2
	exit 3
else
	echo "<html><body>" >> $outfile
	echo "<a href=\"index.html\">RnBeads report</a>" >> $outfile
	echo "<br/><br/>Output was generated during the execution:<br/>" >> $outfile
	echo "<pre>" >> outfile
	cat /tmp/rnbeads.stdout |sed -e "s/$/<br\/>/g" >> $outfile
	echo "</pre>" >> outfile
	echo "</p>" >> $outfile
	echo "</body></html>" >> $outfile
	exit 0
fi